Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003634TestLinkExport/Importpublic2010-07-28 09:372010-08-31 20:26
ReporterFalcon1 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWAMP on Windows SystemOSWindowsOS Version2003 Server
Product Version1.9 Beta 5 
Fixed in Version1.9 Beta 6 
Summary0003634: When you "Import Test Cases" with steps in "Update data on Latest version" mode the steps will not be considered
DescriptionI did Export child Test Cases of a Test Suite, and tried to import this export on another Test Suite of different project, in Update data on Latest version mode. During the import, the steps were not considered, so the new steps were not created and the modified ones remain unchanged.
I used the XML format for import/export.
Steps To Reproduce1. Create two projects, say Proj1 and Proj2.
2. In Proj1, create test suite TS01 with test cases TC01 and TC02 that contains some steps.
3. Export the entire test suite TS01
4. In Proj2, import the export of test suite TS01 done in step 3.
5. Modify some existing steps of test cases TS01 of Proj1, and add some steps.
6. Export child Test Cases of TS01 from Proj1.
7. Import Test Cases in TS01 of Proj2, setting Action for duplicates=Update data on Latest version and Consider Test Case as duplicate if=has same name.

As you could see, the existing steps in Proj2 remained unchanged.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0011055)
fman (administrator)
2010-08-31 20:26

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-07-28 09:37 Falcon1 New Issue
2010-08-04 14:30 fman Assigned To => fman
2010-08-04 14:30 fman Status new => assigned
2010-08-21 11:53 fman Status assigned => resolved
2010-08-21 11:53 fman Fixed in Version => 1.9 Beta 6
2010-08-21 11:53 fman Resolution open => fixed
2010-08-31 20:26 fman Note Added: 0011055
2010-08-31 20:26 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker